import {
  displayList,
  serialNumberTypeList,
  serialNumberPositionList,
  arrangeTypeList,
  switchOption,
  isEnable,
} from '@/views/book/courseware/data/common';

export { arrangeTypeList, switchOption, isEnable };

export function getOption() {
  return {
    number:'',
    con: "",
    interpret: "", //翻译
    note: "", //注释
    img_list: []
  }
}
export function getNotesProperty() {
  return {
    serial_number: 1,
    sn_type: serialNumberTypeList[0].value,
    sn_position: serialNumberPositionList[0].value,
    sn_display_mode: displayList[0].value,
  };
}

export function getNotesData() {
  return {
    type: 'notes',
    title: '注释组件',
    property: getNotesProperty(),
    option: [
      getOption()
    ],
  };
}
